package com.njcn.pojo.commons.device;

import java.io.Serializable;
import java.util.List;


public class DeviceGeneral implements Serializable {


		//省级用户
		private String pro;

		//电压等级区分获取的暂降事件数据
		private List<DeviceValue> vol;

		//按区域获取的暂降事件数据
		private List<DeviceValue> area;

		//按时间间隔获取的暂降事件数据
		private List<DeviceValue> interval;

		//按干扰源类型终获取的暂降事件数据
		private List<DeviceValue> loadtype;

		private String cityName;

	public String getCityName() {
		return cityName;
	}

	public void setCityName(String cityName) {
		this.cityName = cityName;
	}

	/**
		 * @return the vol
		 */
		public List<DeviceValue> getVol() {
			return vol;
		}

		/**
		 * @param vol the vol to set
		 */
		public void setVol(List<DeviceValue> vol) {
			this.vol = vol;
		}

		/**
		 * @return the area
		 */
		public List<DeviceValue> getArea() {
			return area;
		}

		/**
		 * @param area the area to set
		 */
		public void setArea(List<DeviceValue> area) {
			this.area = area;
		}

		/**
		 * @return the interval
		 */
		public List<DeviceValue> getInterval() {
			return interval;
		}

		/**
		 * @param interval the interval to set
		 */
		public void setInterval(List<DeviceValue> interval) {
			this.interval = interval;
		}


		/**
		 * @return the pro
		 */
		public String getPro() {
			return pro;
		}

		/**
		 * @param pro the pro to set
		 */
		public void setPro(String pro) {
			this.pro = pro;
		}

		public List<DeviceValue> getLoadtype() {
			return loadtype;
		}

		public void setLoadtype(List<DeviceValue> loadtype) {
			this.loadtype = loadtype;
		}

		/* (non-Javadoc)
		 * @see java.lang.Object#toString()
		 */
		@Override
		public String toString() {
			return "DeviceGeneral [pro=" + pro + ", vol=" + vol + ", area=" + area + ", interval=" + interval + ", loadtype=" + loadtype + "]";
		}



}
